from pytest import mark
from secrets import token_hex

from app.schemas import *
from tests import client


def test_registration():
    user = {
        "full_name": "Bilal Balaperdida",
        "email": "oyvey@hotmail.com",
        "password": "lifeisabitch",
        "gender": 1,
        "mobile": "+212655778899",
        "user_type": 1,
        "lang_type": 1,
        "device_type": 1,
        "device_id": token_hex(16),
        "city_id": 5,
    }
    response = client.post("/register", json=user)
    assert response.status_code == 200


@mark.skip(reason="not implemented")
def test_login():
    user = {
        "email": "12@gmail.com",
        "password": "odyfo2020",
        "device_id": "fEll6hxazGQ:APA91bFpsB44ZHgjUItYOKTTmUxxkJsWiuaeojdxiTLVbz-AwN90XwLvpA6nRQoLrUYaF-HoHTz4Vc5S0VlqemerJ6MjG4zqwfNYB75whQVQI1M29yhMc3oFdl1me2zP_RY2dXbfx7UW",
        "lang_type": 2,
        "user_type": 1,
    }
    response = client.post("/login", json=user)
    assert response.status_code == 200
